Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.keys
Class KeyValue

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.keys.KeyValue`

All Implemented Interfaces:
  KeyInfoData

public class KeyValue
extends XMLElement
implements KeyInfoData

XML-DSIG KeyValue element.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`KeyValue(org.w3c.dom.Element element)` Creates a new `KeyValue` instance from the given Element node.
`KeyValue(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `KeyValue` instance from the given Element node.

Method Summary
`KeyValueData` | `getKeyValueData()` Returns the KeyValue child data element for this KeyValue.
`oracle.security.crypto.core.PublicKey` | `getPublicKey()` Returns the public key contained in this KeyValue's child data element.
`java.lang.String` | `getType()` Returns the URI for this KeyValue's child type, e.g., `XMLURI.obj_DSAKeyValue` or `XMLURI.obj_RSAKeyValue`.
`void` | `setKeyValueData(XMLElement keyValueData)` Sets the KeyValue child data element for this KeyValue, replacing any existing value.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyValue

    public KeyValue(org.w3c.dom.Element element)
             throws org.w3c.dom.DOMException

  Creates a new `KeyValue` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG KeyValue schema.

### KeyValue

    public KeyValue(org.w3c.dom.Element element,
                    java.lang.String systemId)
             throws org.w3c.dom.DOMException

  Creates a new `KeyValue` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG KeyValue schema.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

Method Detail

### setKeyValueData

    public void setKeyValueData(XMLElement keyValueData)
                         throws org.w3c.dom.DOMException

  Sets the KeyValue child data element for this KeyValue, replacing any existing value. A `XMLElement` implementing the `KeyValueData` interface.
  Throws:
    `org.w3c.dom.DOMException`

### getKeyValueData

    public KeyValueData getKeyValueData()

  Returns the KeyValue child data element for this KeyValue.
  Returns:
    A `KeyValueData`, or `null` if none is defined.

### getPublicKey

    public oracle.security.crypto.core.PublicKey getPublicKey()

  Returns the public key contained in this KeyValue's child data element.
  Returns:
    A `oracle.security.crypto.core.PublicKey` instance.

### getType

    public java.lang.String getType()

  Returns the URI for this KeyValue's child type, e.g., `XMLURI.obj_DSAKeyValue` or `XMLURI.obj_RSAKeyValue`.
  Specified by:
    `getType` in interface `KeyInfoData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.